Subject: [Spridgets] Fuel Pump ?

From: <[email-masked]>
Date: Fri, 19 Dec 2014 15:34:46 -0500

There is a local fuel pump epidemic, I think. I have a '65 Sprite and a '79 MGB, both with tired and non-operating fuel pumps. I have looked at various options, and asking for suggestions as to replacement/rebuild. For the MGB, I can rebuild the contacts, replace with a similar pump, or would a "solid state" replacement be better? I am not like my uncle who had to be totally original. He replaced the hydraulic brakes with OE mechanical brakes on his '32 Ford. And for the Sprite, suggestions? The sprite has set a bit, and the fuel has become a bit gelled. Nothing like napalm in the fuel system.

Thanks, John

John Kitchens
POB 178
Somis, CA  93066
805 216-2569
805 482-2895 fax
[email-masked]
------------------------

[email-masked]

Archive: http://www.team.net/archive